summaryrefslogtreecommitdiff
path: root/Master/xemtex/gslib/dvipdf
diff options
context:
space:
mode:
Diffstat (limited to 'Master/xemtex/gslib/dvipdf')
-rw-r--r--Master/xemtex/gslib/dvipdf40
1 files changed, 40 insertions, 0 deletions
diff --git a/Master/xemtex/gslib/dvipdf b/Master/xemtex/gslib/dvipdf
new file mode 100644
index 00000000000..6f73174abaa
--- /dev/null
+++ b/Master/xemtex/gslib/dvipdf
@@ -0,0 +1,40 @@
+#!/bin/sh
+# $Id: dvipdf,v 1.2 2001/06/22 16:09:22 lpd Exp $
+# Convert DVI to PDF.
+#
+# Please contact Andrew Ford <A.Ford@ford-mason.co.uk> with any questions
+# about this file.
+#
+# Based on ps2pdf
+
+OPTIONS=""
+while true
+do
+ case "$1" in
+ -*) OPTIONS="$OPTIONS $1" ;;
+ *) break ;;
+ esac
+ shift
+done
+
+if [ $# -lt 1 -o $# -gt 2 ]; then
+ echo "Usage: `basename $0` [options...] input.dvi [output.pdf]" 1>&2
+ exit 1
+fi
+
+infile=$1;
+
+if [ $# -eq 1 ]
+then
+ case "${infile}" in
+ *.dvi) base=`basename "${infile}" .dvi` ;;
+ *) base=`basename "${infile}"` ;;
+ esac
+ outfile="${base}".pdf
+else
+ outfile=$2
+fi
+
+# We have to include the options twice because -I only takes effect if it
+# appears before other options.
+exec dvips -q -f "$infile" | gs $OPTIONS -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile="$outfile" $OPTIONS -c .setpdfwrite -